#
# spec file for package svgpart
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           svgpart
Version:        4.10.1
Release:        0
Summary:        SVG viewer component
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            https://projects.kde.org/projects/kde/kdegraphics/svgpart
Source:         %{name}-%{version}.tar.xz
BuildRequires:  libkde4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
An SVG viewer component for KDE (KPart).

%prep
%setup -q

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%make_install
%kde_post_install

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/kde4
%{_kde4_libdir}/kde4/svgpart.so
%{_kde4_servicesdir}/svgpart.desktop
%{_kde4_appsdir}/svgpart

%changelog
